MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025711Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-01-15 17:382015-05-14 15:32
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025711: Get rid of static variable islambdadefined in AppParCurves_BSpGradient.gxx
DescriptionThe file AppParCurves_BSpGradient.gxx contains the static variable "islambdadefined" in global scope.
Analyzing the logic of its usage I came to conclusion that this can lead to usage of uninitialized fields mylambda1 and mylambda2 in the class AppParCurves_BSpFunction.
I suggest making this variable the field member (non-static) in the class AppParCurves_BSpGradient.
Steps To Reproducenot applicable
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0036134)
git (administrator)
2015-01-16 12:09

Branch CR25711 has been created by azv.

SHA-1: 133a67fe3e2ddc606e56eb9c72c7f5a8a2f25a07


Detailed log of new commits:

Author: azv
Date: Fri Jan 16 10:32:51 2015 +0300

    0025711: Get rid of static variable islambdadefined in AppParCurves_BSpGradient.gxx
(0036135)
azv (developer)
2015-01-16 12:10

Branch CR25711 is ready for review.
(0036138)
msv (developer)
2015-01-16 12:59

myIsLambdaDefined: Real;
This field must be of type Boolean.
(0036139)
git (administrator)
2015-01-16 13:01

Branch CR25711 has been updated forcibly by azv.

SHA-1: 2001b5dfb61ce1c4d9d2617012e455aba048bc04
(0036140)
azv (developer)
2015-01-16 13:02

Sorry for misprint. The branch was updated.
(0036142)
msv (developer)
2015-01-16 14:28

Reviewed.
(0036313)
apn (administrator)
2015-01-21 13:07

Branch will be tested with CR25706_2.
(0036657)
apn (administrator)
2015-01-26 16:18

Rise CR25706_2.
(0038558)
git (administrator)
2015-03-18 13:36

Branch CR25711 has been deleted by inv.

SHA-1: 2001b5dfb61ce1c4d9d2617012e455aba048bc04

- Related Changesets
occt: master 89bc1237
Timestamp: 2015-01-16 07:32:51
Author: azv
Committer: bugmaster
Details ] Diff ]
0025711: Get rid of static variable islambdadefined in AppParCurves_BSpGradient.gxx
mod - src/AppParCurves/AppParCurves_BSpGradient.cdl Diff ] File ]
mod - src/AppParCurves/AppParCurves_BSpGradient.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-15 17:38 msv New Issue
2015-01-15 17:38 msv Assigned To => msv
2015-01-15 17:41 msv Assigned To msv => azv
2015-01-15 17:41 msv Status new => assigned
2015-01-16 12:09 git Note Added: 0036134
2015-01-16 12:10 azv Note Added: 0036135
2015-01-16 12:10 azv Assigned To azv => msv
2015-01-16 12:10 azv Status assigned => resolved
2015-01-16 12:59 msv Note Added: 0036138
2015-01-16 12:59 msv Assigned To msv => azv
2015-01-16 12:59 msv Status resolved => assigned
2015-01-16 13:01 git Note Added: 0036139
2015-01-16 13:02 azv Note Added: 0036140
2015-01-16 13:02 azv Assigned To azv => msv
2015-01-16 13:02 azv Status assigned => resolved
2015-01-16 14:28 msv Note Added: 0036142
2015-01-16 14:28 msv Assigned To msv => bugmaster
2015-01-16 14:28 msv Status resolved => reviewed
2015-01-21 11:50 apn Assigned To bugmaster => apn
2015-01-21 13:07 apn Note Added: 0036313
2015-01-26 16:16 apn Test case number => Not needed
2015-01-26 16:16 apn Assigned To apn => bugmaster
2015-01-26 16:16 apn Status reviewed => tested
2015-01-26 16:18 apn Note Added: 0036657
2015-01-30 14:00 bugmaster Changeset attached => occt master 89bc1237
2015-01-30 14:00 bugmaster Status tested => verified
2015-01-30 14:00 bugmaster Resolution open => fixed
2015-03-18 13:36 git Note Added: 0038558
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker